Package Details: ocaml-menhir 20200211-1

Git Clone URL: https://aur.archlinux.org/ocaml-menhir.git (read-only, click to copy)
Package Base: ocaml-menhir
Description: Menhir is a LR(1) parser generator for the OCaml.
Upstream URL: http://cristal.inria.fr/~fpottier/menhir/
Licenses: GPL, QPL
Submitter: None
Maintainer: soimort (TheGoliath)
Last Packager: TheGoliath
Votes: 10
Popularity: 0.28
First Submitted: 2012-01-17 20:41
Last Updated: 2020-05-19 09:46

Latest Comments

1 2 Next › Last »

TheGoliath commented on 2020-05-19 09:47

Updated the package. Please just comment down below if something isn't working as expected! :)

@soimort No problem :)

soimort commented on 2020-05-18 23:35

I'm a bit too busy recently to upgrade my dune and everything.

@TheGoliath I've added you as a co-maintainer. Thanks a lot for the help!

TheGoliath commented on 2020-05-18 19:25

I'd like to help you maintaining the package (as well as update it). May I be added as a Co-Maintainer?

xuanruiqi commented on 2020-05-17 04:04

The problem with dune has been fixed...

condy commented on 2020-04-26 15:25

dune has released 2.3.0-1

soimort commented on 2020-02-06 01:15

The latest release of ocaml-menhir requires dune 2.0+ to build, which is not yet available in the official Arch repository (still version 1.11.4).

xuanruiqi commented on 2019-04-27 03:33

Of course, if you have OCaml installed using OPAM, you must build this in a clean chroot. (Although that way you won't need this unless it's for something special.)

la7low commented on 2016-10-14 16:37

Hello, I get lots of these messages when installing:
/usr/bin/ld: /usr/lib/ocaml/libasmrun.a(startup.o): relocation R_X86_64_32 against `.rodata.str1.1' can not be used when making a shared object; recompile with -fPIC
How can i add the -fPIC options? Or what would you suggest to resolve the problem?

bartbes commented on 2014-02-16 22:15

I had to apply the following patch to make the build not contain the build directory path: http://pastebin.com/L8NDnNwn

foutrelis commented on 2012-01-17 20:45

Please use: https://aur.archlinux.org/packages.php?ID=55883